;;; ccs-iso8859-3.el --- Mapping table for ISO 8859-3 (Latin-3).

;; Copyright (C) 1999 Electrotechnical Laboratory, JAPAN.
;; Licensed to the Free Software Foundation.

;; Author: MORIOKA Tomohiko <tomo@m17n.org>
;; Keywords: coded character set

;; This file is part of UTF-2000.

;; UTF-2000 is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by
;; the Free Software Foundation; either version 2, or (at your option)
;; any later version.

;; UTF-2000 is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;; General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with UTF-2000; see the file COPYING.  If not, write to the
;; Free Software Foundation, Inc., 59 Temple Place - Suite 330,
;; Boston, MA 02111-1307, USA.

;;; Code:

(set-charset-mapping-table
 'latin-iso8859-3
 [?\u00A0	; 0xA0	NO-BREAK SPACE
  ?\u0126	; 0xA1	LATIN CAPITAL LETTER H WITH STROKE
  ?\u02D8	; 0xA2	BREVE
  ?\u00A3	; 0xA3	POUND SIGN
  ?\u00A4	; 0xA4	CURRENCY SIGN
  nil
  ?\u0124	; 0xA6	LATIN CAPITAL LETTER H WITH CIRCUMFLEX
  ?\u00A7	; 0xA7	SECTION SIGN
  ?\u00A8	; 0xA8	DIAERESIS
  ?\u0130	; 0xA9	LATIN CAPITAL LETTER I WITH DOT ABOVE
  ?\u015E	; 0xAA	LATIN CAPITAL LETTER S WITH CEDILLA
  ?\u011E	; 0xAB	LATIN CAPITAL LETTER G WITH BREVE
  ?\u0134	; 0xAC	LATIN CAPITAL LETTER J WITH CIRCUMFLEX
  ?\u00AD	; 0xAD	SOFT HYPHEN
  nil
  ?\u017B	; 0xAF	LATIN CAPITAL LETTER Z WITH DOT ABOVE
  ?\u00B0	; 0xB0	DEGREE SIGN
  ?\u0127	; 0xB1	LATIN SMALL LETTER H WITH STROKE
  ?\u00B2	; 0xB2	SUPERSCRIPT TWO
  ?\u00B3	; 0xB3	SUPERSCRIPT THREE
  ?\u00B4	; 0xB4	ACUTE ACCENT
  ?\u00B5	; 0xB5	MICRO SIGN
  ?\u0125	; 0xB6	LATIN SMALL LETTER H WITH CIRCUMFLEX
  ?\u00B7	; 0xB7	MIDDLE DOT
  ?\u00B8	; 0xB8	CEDILLA
  ?\u0131	; 0xB9	LATIN SMALL LETTER DOTLESS I
  ?\u015F	; 0xBA	LATIN SMALL LETTER S WITH CEDILLA
  ?\u011F	; 0xBB	LATIN SMALL LETTER G WITH BREVE
  ?\u0135	; 0xBC	LATIN SMALL LETTER J WITH CIRCUMFLEX
  ?\u00BD	; 0xBD	VULGAR FRACTION ONE HALF
  nil
  ?\u017C	; 0xBF	LATIN SMALL LETTER Z WITH DOT ABOVE
  ?\u00C0	; 0xC0	LATIN CAPITAL LETTER A WITH GRAVE
  ?\u00C1	; 0xC1	LATIN CAPITAL LETTER A WITH ACUTE
  ?\u00C2	; 0xC2	LATIN CAPITAL LETTER A WITH CIRCUMFLEX
  nil
  ?\u00C4	; 0xC4	LATIN CAPITAL LETTER A WITH DIAERESIS
  ?\u010A	; 0xC5	LATIN CAPITAL LETTER C WITH DOT ABOVE
  ?\u0108	; 0xC6	LATIN CAPITAL LETTER C WITH CIRCUMFLEX
  ?\u00C7	; 0xC7	LATIN CAPITAL LETTER C WITH CEDILLA
  ?\u00C8	; 0xC8	LATIN CAPITAL LETTER E WITH GRAVE
  ?\u00C9	; 0xC9	LATIN CAPITAL LETTER E WITH ACUTE
  ?\u00CA	; 0xCA	LATIN CAPITAL LETTER E WITH CIRCUMFLEX
  ?\u00CB	; 0xCB	LATIN CAPITAL LETTER E WITH DIAERESIS
  ?\u00CC	; 0xCC	LATIN CAPITAL LETTER I WITH GRAVE
  ?\u00CD	; 0xCD	LATIN CAPITAL LETTER I WITH ACUTE
  ?\u00CE	; 0xCE	LATIN CAPITAL LETTER I WITH CIRCUMFLEX
  ?\u00CF	; 0xCF	LATIN CAPITAL LETTER I WITH DIAERESIS
  nil
  ?\u00D1	; 0xD1	LATIN CAPITAL LETTER N WITH TILDE
  ?\u00D2	; 0xD2	LATIN CAPITAL LETTER O WITH GRAVE
  ?\u00D3	; 0xD3	LATIN CAPITAL LETTER O WITH ACUTE
  ?\u00D4	; 0xD4	LATIN CAPITAL LETTER O WITH CIRCUMFLEX
  ?\u0120	; 0xD5	LATIN CAPITAL LETTER G WITH DOT ABOVE
  ?\u00D6	; 0xD6	LATIN CAPITAL LETTER O WITH DIAERESIS
  ?\u00D7	; 0xD7	MULTIPLICATION SIGN
  ?\u011C	; 0xD8	LATIN CAPITAL LETTER G WITH CIRCUMFLEX
  ?\u00D9	; 0xD9	LATIN CAPITAL LETTER U WITH GRAVE
  ?\u00DA	; 0xDA	LATIN CAPITAL LETTER U WITH ACUTE
  ?\u00DB	; 0xDB	LATIN CAPITAL LETTER U WITH CIRCUMFLEX
  ?\u00DC	; 0xDC	LATIN CAPITAL LETTER U WITH DIAERESIS
  ?\u016C	; 0xDD	LATIN CAPITAL LETTER U WITH BREVE
  ?\u015C	; 0xDE	LATIN CAPITAL LETTER S WITH CIRCUMFLEX
  ?\u00DF	; 0xDF	LATIN SMALL LETTER SHARP S
  ?\u00E0	; 0xE0	LATIN SMALL LETTER A WITH GRAVE
  ?\u00E1	; 0xE1	LATIN SMALL LETTER A WITH ACUTE
  ?\u00E2	; 0xE2	LATIN SMALL LETTER A WITH CIRCUMFLEX
  nil
  ?\u00E4	; 0xE4	LATIN SMALL LETTER A WITH DIAERESIS
  ?\u010B	; 0xE5	LATIN SMALL LETTER C WITH DOT ABOVE
  ?\u0109	; 0xE6	LATIN SMALL LETTER C WITH CIRCUMFLEX
  ?\u00E7	; 0xE7	LATIN SMALL LETTER C WITH CEDILLA
  ?\u00E8	; 0xE8	LATIN SMALL LETTER E WITH GRAVE
  ?\u00E9	; 0xE9	LATIN SMALL LETTER E WITH ACUTE
  ?\u00EA	; 0xEA	LATIN SMALL LETTER E WITH CIRCUMFLEX
  ?\u00EB	; 0xEB	LATIN SMALL LETTER E WITH DIAERESIS
  ?\u00EC	; 0xEC	LATIN SMALL LETTER I WITH GRAVE
  ?\u00ED	; 0xED	LATIN SMALL LETTER I WITH ACUTE
  ?\u00EE	; 0xEE	LATIN SMALL LETTER I WITH CIRCUMFLEX
  ?\u00EF	; 0xEF	LATIN SMALL LETTER I WITH DIAERESIS
  nil
  ?\u00F1	; 0xF1	LATIN SMALL LETTER N WITH TILDE
  ?\u00F2	; 0xF2	LATIN SMALL LETTER O WITH GRAVE
  ?\u00F3	; 0xF3	LATIN SMALL LETTER O WITH ACUTE
  ?\u00F4	; 0xF4	LATIN SMALL LETTER O WITH CIRCUMFLEX
  ?\u0121	; 0xF5	LATIN SMALL LETTER G WITH DOT ABOVE
  ?\u00F6	; 0xF6	LATIN SMALL LETTER O WITH DIAERESIS
  ?\u00F7	; 0xF7	DIVISION SIGN
  ?\u011D	; 0xF8	LATIN SMALL LETTER G WITH CIRCUMFLEX
  ?\u00F9	; 0xF9	LATIN SMALL LETTER U WITH GRAVE
  ?\u00FA	; 0xFA	LATIN SMALL LETTER U WITH ACUTE
  ?\u00FB	; 0xFB	LATIN SMALL LETTER U WITH CIRCUMFLEX
  ?\u00FC	; 0xFC	LATIN SMALL LETTER U WITH DIAERESIS
  ?\u016D	; 0xFD	LATIN SMALL LETTER U WITH BREVE
  ?\u015D	; 0xFE	LATIN SMALL LETTER S WITH CIRCUMFLEX
  ?\u02D9	; 0xFF	DOT ABOVE
  ])

;;; ccs-iso8859-3.el ends here
