;;; ccs-iso8859-4.el --- Mapping table for ISO 8859-4 (Latin-4).

;; Copyright (C) 1999 Electrotechnical Laboratory, JAPAN.
;; Licensed to the Free Software Foundation.

;; Author: MORIOKA Tomohiko <tomo@m17n.org>
;; Keywords: coded character set

;; This file is part of UTF-2000.

;; UTF-2000 is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by
;; the Free Software Foundation; either version 2, or (at your option)
;; any later version.

;; UTF-2000 is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;; General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with UTF-2000; see the file COPYING.  If not, write to the
;; Free Software Foundation, Inc., 59 Temple Place - Suite 330,
;; Boston, MA 02111-1307, USA.

;;; Code:

(set-charset-mapping-table
 'latin-iso8859-4
 [?\u00A0	; 0xA0	NO-BREAK SPACE
  ?\u0104	; 0xA1	LATIN CAPITAL LETTER A WITH OGONEK
  ?\u0138	; 0xA2	LATIN SMALL LETTER KRA
  ?\u0156	; 0xA3	LATIN CAPITAL LETTER R WITH CEDILLA
  ?\u00A4	; 0xA4	CURRENCY SIGN
  ?\u0128	; 0xA5	LATIN CAPITAL LETTER I WITH TILDE
  ?\u013B	; 0xA6	LATIN CAPITAL LETTER L WITH CEDILLA
  ?\u00A7	; 0xA7	SECTION SIGN
  ?\u00A8	; 0xA8	DIAERESIS
  ?\u0160	; 0xA9	LATIN CAPITAL LETTER S WITH CARON
  ?\u0112	; 0xAA	LATIN CAPITAL LETTER E WITH MACRON
  ?\u0122	; 0xAB	LATIN CAPITAL LETTER G WITH CEDILLA
  ?\u0166	; 0xAC	LATIN CAPITAL LETTER T WITH STROKE
  ?\u00AD	; 0xAD	SOFT HYPHEN
  ?\u017D	; 0xAE	LATIN CAPITAL LETTER Z WITH CARON
  ?\u00AF	; 0xAF	MACRON
  ?\u00B0	; 0xB0	DEGREE SIGN
  ?\u0105	; 0xB1	LATIN SMALL LETTER A WITH OGONEK
  ?\u02DB	; 0xB2	OGONEK
  ?\u0157	; 0xB3	LATIN SMALL LETTER R WITH CEDILLA
  ?\u00B4	; 0xB4	ACUTE ACCENT
  ?\u0129	; 0xB5	LATIN SMALL LETTER I WITH TILDE
  ?\u013C	; 0xB6	LATIN SMALL LETTER L WITH CEDILLA
  ?\u02C7	; 0xB7	CARON
  ?\u00B8	; 0xB8	CEDILLA
  ?\u0161	; 0xB9	LATIN SMALL LETTER S WITH CARON
  ?\u0113	; 0xBA	LATIN SMALL LETTER E WITH MACRON
  ?\u0123	; 0xBB	LATIN SMALL LETTER G WITH CEDILLA
  ?\u0167	; 0xBC	LATIN SMALL LETTER T WITH STROKE
  ?\u014A	; 0xBD	LATIN CAPITAL LETTER ENG
  ?\u017E	; 0xBE	LATIN SMALL LETTER Z WITH CARON
  ?\u014B	; 0xBF	LATIN SMALL LETTER ENG
  ?\u0100	; 0xC0	LATIN CAPITAL LETTER A WITH MACRON
  ?\u00C1	; 0xC1	LATIN CAPITAL LETTER A WITH ACUTE
  ?\u00C2	; 0xC2	LATIN CAPITAL LETTER A WITH CIRCUMFLEX
  ?\u00C3	; 0xC3	LATIN CAPITAL LETTER A WITH TILDE
  ?\u00C4	; 0xC4	LATIN CAPITAL LETTER A WITH DIAERESIS
  ?\u00C5	; 0xC5	LATIN CAPITAL LETTER A WITH RING ABOVE
  ?\u00C6	; 0xC6	LATIN CAPITAL LETTER AE
  ?\u012E	; 0xC7	LATIN CAPITAL LETTER I WITH OGONEK
  ?\u010C	; 0xC8	LATIN CAPITAL LETTER C WITH CARON
  ?\u00C9	; 0xC9	LATIN CAPITAL LETTER E WITH ACUTE
  ?\u0118	; 0xCA	LATIN CAPITAL LETTER E WITH OGONEK
  ?\u00CB	; 0xCB	LATIN CAPITAL LETTER E WITH DIAERESIS
  ?\u0116	; 0xCC	LATIN CAPITAL LETTER E WITH DOT ABOVE
  ?\u00CD	; 0xCD	LATIN CAPITAL LETTER I WITH ACUTE
  ?\u00CE	; 0xCE	LATIN CAPITAL LETTER I WITH CIRCUMFLEX
  ?\u012A	; 0xCF	LATIN CAPITAL LETTER I WITH MACRON
  ?\u0110	; 0xD0	LATIN CAPITAL LETTER D WITH STROKE
  ?\u0145	; 0xD1	LATIN CAPITAL LETTER N WITH CEDILLA
  ?\u014C	; 0xD2	LATIN CAPITAL LETTER O WITH MACRON
  ?\u0136	; 0xD3	LATIN CAPITAL LETTER K WITH CEDILLA
  ?\u00D4	; 0xD4	LATIN CAPITAL LETTER O WITH CIRCUMFLEX
  ?\u00D5	; 0xD5	LATIN CAPITAL LETTER O WITH TILDE
  ?\u00D6	; 0xD6	LATIN CAPITAL LETTER O WITH DIAERESIS
  ?\u00D7	; 0xD7	MULTIPLICATION SIGN
  ?\u00D8	; 0xD8	LATIN CAPITAL LETTER O WITH STROKE
  ?\u0172	; 0xD9	LATIN CAPITAL LETTER U WITH OGONEK
  ?\u00DA	; 0xDA	LATIN CAPITAL LETTER U WITH ACUTE
  ?\u00DB	; 0xDB	LATIN CAPITAL LETTER U WITH CIRCUMFLEX
  ?\u00DC	; 0xDC	LATIN CAPITAL LETTER U WITH DIAERESIS
  ?\u0168	; 0xDD	LATIN CAPITAL LETTER U WITH TILDE
  ?\u016A	; 0xDE	LATIN CAPITAL LETTER U WITH MACRON
  ?\u00DF	; 0xDF	LATIN SMALL LETTER SHARP S
  ?\u0101	; 0xE0	LATIN SMALL LETTER A WITH MACRON
  ?\u00E1	; 0xE1	LATIN SMALL LETTER A WITH ACUTE
  ?\u00E2	; 0xE2	LATIN SMALL LETTER A WITH CIRCUMFLEX
  ?\u00E3	; 0xE3	LATIN SMALL LETTER A WITH TILDE
  ?\u00E4	; 0xE4	LATIN SMALL LETTER A WITH DIAERESIS
  ?\u00E5	; 0xE5	LATIN SMALL LETTER A WITH RING ABOVE
  ?\u00E6	; 0xE6	LATIN SMALL LETTER AE
  ?\u012F	; 0xE7	LATIN SMALL LETTER I WITH OGONEK
  ?\u010D	; 0xE8	LATIN SMALL LETTER C WITH CARON
  ?\u00E9	; 0xE9	LATIN SMALL LETTER E WITH ACUTE
  ?\u0119	; 0xEA	LATIN SMALL LETTER E WITH OGONEK
  ?\u00EB	; 0xEB	LATIN SMALL LETTER E WITH DIAERESIS
  ?\u0117	; 0xEC	LATIN SMALL LETTER E WITH DOT ABOVE
  ?\u00ED	; 0xED	LATIN SMALL LETTER I WITH ACUTE
  ?\u00EE	; 0xEE	LATIN SMALL LETTER I WITH CIRCUMFLEX
  ?\u012B	; 0xEF	LATIN SMALL LETTER I WITH MACRON
  ?\u0111	; 0xF0	LATIN SMALL LETTER D WITH STROKE
  ?\u0146	; 0xF1	LATIN SMALL LETTER N WITH CEDILLA
  ?\u014D	; 0xF2	LATIN SMALL LETTER O WITH MACRON
  ?\u0137	; 0xF3	LATIN SMALL LETTER K WITH CEDILLA
  ?\u00F4	; 0xF4	LATIN SMALL LETTER O WITH CIRCUMFLEX
  ?\u00F5	; 0xF5	LATIN SMALL LETTER O WITH TILDE
  ?\u00F6	; 0xF6	LATIN SMALL LETTER O WITH DIAERESIS
  ?\u00F7	; 0xF7	DIVISION SIGN
  ?\u00F8	; 0xF8	LATIN SMALL LETTER O WITH STROKE
  ?\u0173	; 0xF9	LATIN SMALL LETTER U WITH OGONEK
  ?\u00FA	; 0xFA	LATIN SMALL LETTER U WITH ACUTE
  ?\u00FB	; 0xFB	LATIN SMALL LETTER U WITH CIRCUMFLEX
  ?\u00FC	; 0xFC	LATIN SMALL LETTER U WITH DIAERESIS
  ?\u0169	; 0xFD	LATIN SMALL LETTER U WITH TILDE
  ?\u016B	; 0xFE	LATIN SMALL LETTER U WITH MACRON
  ?\u02D9	; 0xFF	DOT ABOVE
  ])

;;; ccs-iso8859-4.el ends here
