;;; ccs-iso8859-9.el --- Mapping table for ISO 8859-9 (Latin-5).

;; Copyright (C) 1999 Electrotechnical Laboratory, JAPAN.
;; Licensed to the Free Software Foundation.

;; Author: MORIOKA Tomohiko <tomo@m17n.org>
;; Keywords: coded character set

;; This file is part of UTF-2000.

;; UTF-2000 is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by
;; the Free Software Foundation; either version 2, or (at your option)
;; any later version.

;; UTF-2000 is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;; General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with UTF-2000; see the file COPYING.  If not, write to the
;; Free Software Foundation, Inc., 59 Temple Place - Suite 330,
;; Boston, MA 02111-1307, USA.

;;; Code:

(set-charset-mapping-table
 'latin-iso8859-9
 [?\u00A0	; 0xA0	NO-BREAK SPACE
  ?\u00A1	; 0xA1	INVERTED EXCLAMATION MARK
  ?\u00A2	; 0xA2	CENT SIGN
  ?\u00A3	; 0xA3	POUND SIGN
  ?\u00A4	; 0xA4	CURRENCY SIGN
  ?\u00A5	; 0xA5	YEN SIGN
  ?\u00A6	; 0xA6	BROKEN BAR
  ?\u00A7	; 0xA7	SECTION SIGN
  ?\u00A8	; 0xA8	DIAERESIS
  ?\u00A9	; 0xA9	COPYRIGHT SIGN
  ?\u00AA	; 0xAA	FEMININE ORDINAL INDICATOR
  ?\u00AB	; 0xAB	LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
  ?\u00AC	; 0xAC	NOT SIGN
  ?\u00AD	; 0xAD	SOFT HYPHEN
  ?\u00AE	; 0xAE	REGISTERED SIGN
  ?\u00AF	; 0xAF	MACRON
  ?\u00B0	; 0xB0	DEGREE SIGN
  ?\u00B1	; 0xB1	PLUS-MINUS SIGN
  ?\u00B2	; 0xB2	SUPERSCRIPT TWO
  ?\u00B3	; 0xB3	SUPERSCRIPT THREE
  ?\u00B4	; 0xB4	ACUTE ACCENT
  ?\u00B5	; 0xB5	MICRO SIGN
  ?\u00B6	; 0xB6	PILCROW SIGN
  ?\u00B7	; 0xB7	MIDDLE DOT
  ?\u00B8	; 0xB8	CEDILLA
  ?\u00B9	; 0xB9	SUPERSCRIPT ONE
  ?\u00BA	; 0xBA	MASCULINE ORDINAL INDICATOR
  ?\u00BB	; 0xBB	RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
  ?\u00BC	; 0xBC	VULGAR FRACTION ONE QUARTER
  ?\u00BD	; 0xBD	VULGAR FRACTION ONE HALF
  ?\u00BE	; 0xBE	VULGAR FRACTION THREE QUARTERS
  ?\u00BF	; 0xBF	INVERTED QUESTION MARK
  ?\u00C0	; 0xC0	LATIN CAPITAL LETTER A WITH GRAVE
  ?\u00C1	; 0xC1	LATIN CAPITAL LETTER A WITH ACUTE
  ?\u00C2	; 0xC2	LATIN CAPITAL LETTER A WITH CIRCUMFLEX
  ?\u00C3	; 0xC3	LATIN CAPITAL LETTER A WITH TILDE
  ?\u00C4	; 0xC4	LATIN CAPITAL LETTER A WITH DIAERESIS
  ?\u00C5	; 0xC5	LATIN CAPITAL LETTER A WITH RING ABOVE
  ?\u00C6	; 0xC6	LATIN CAPITAL LETTER AE
  ?\u00C7	; 0xC7	LATIN CAPITAL LETTER C WITH CEDILLA
  ?\u00C8	; 0xC8	LATIN CAPITAL LETTER E WITH GRAVE
  ?\u00C9	; 0xC9	LATIN CAPITAL LETTER E WITH ACUTE
  ?\u00CA	; 0xCA	LATIN CAPITAL LETTER E WITH CIRCUMFLEX
  ?\u00CB	; 0xCB	LATIN CAPITAL LETTER E WITH DIAERESIS
  ?\u00CC	; 0xCC	LATIN CAPITAL LETTER I WITH GRAVE
  ?\u00CD	; 0xCD	LATIN CAPITAL LETTER I WITH ACUTE
  ?\u00CE	; 0xCE	LATIN CAPITAL LETTER I WITH CIRCUMFLEX
  ?\u00CF	; 0xCF	LATIN CAPITAL LETTER I WITH DIAERESIS
  ?\u011E	; 0xD0	LATIN CAPITAL LETTER G WITH BREVE
  ?\u00D1	; 0xD1	LATIN CAPITAL LETTER N WITH TILDE
  ?\u00D2	; 0xD2	LATIN CAPITAL LETTER O WITH GRAVE
  ?\u00D3	; 0xD3	LATIN CAPITAL LETTER O WITH ACUTE
  ?\u00D4	; 0xD4	LATIN CAPITAL LETTER O WITH CIRCUMFLEX
  ?\u00D5	; 0xD5	LATIN CAPITAL LETTER O WITH TILDE
  ?\u00D6	; 0xD6	LATIN CAPITAL LETTER O WITH DIAERESIS
  ?\u00D7	; 0xD7	MULTIPLICATION SIGN
  ?\u00D8	; 0xD8	LATIN CAPITAL LETTER O WITH STROKE
  ?\u00D9	; 0xD9	LATIN CAPITAL LETTER U WITH GRAVE
  ?\u00DA	; 0xDA	LATIN CAPITAL LETTER U WITH ACUTE
  ?\u00DB	; 0xDB	LATIN CAPITAL LETTER U WITH CIRCUMFLEX
  ?\u00DC	; 0xDC	LATIN CAPITAL LETTER U WITH DIAERESIS
  ?\u0130	; 0xDD	LATIN CAPITAL LETTER I WITH DOT ABOVE
  ?\u015E	; 0xDE	LATIN CAPITAL LETTER S WITH CEDILLA
  ?\u00DF	; 0xDF	LATIN SMALL LETTER SHARP S
  ?\u00E0	; 0xE0	LATIN SMALL LETTER A WITH GRAVE
  ?\u00E1	; 0xE1	LATIN SMALL LETTER A WITH ACUTE
  ?\u00E2	; 0xE2	LATIN SMALL LETTER A WITH CIRCUMFLEX
  ?\u00E3	; 0xE3	LATIN SMALL LETTER A WITH TILDE
  ?\u00E4	; 0xE4	LATIN SMALL LETTER A WITH DIAERESIS
  ?\u00E5	; 0xE5	LATIN SMALL LETTER A WITH RING ABOVE
  ?\u00E6	; 0xE6	LATIN SMALL LETTER AE
  ?\u00E7	; 0xE7	LATIN SMALL LETTER C WITH CEDILLA
  ?\u00E8	; 0xE8	LATIN SMALL LETTER E WITH GRAVE
  ?\u00E9	; 0xE9	LATIN SMALL LETTER E WITH ACUTE
  ?\u00EA	; 0xEA	LATIN SMALL LETTER E WITH CIRCUMFLEX
  ?\u00EB	; 0xEB	LATIN SMALL LETTER E WITH DIAERESIS
  ?\u00EC	; 0xEC	LATIN SMALL LETTER I WITH GRAVE
  ?\u00ED	; 0xED	LATIN SMALL LETTER I WITH ACUTE
  ?\u00EE	; 0xEE	LATIN SMALL LETTER I WITH CIRCUMFLEX
  ?\u00EF	; 0xEF	LATIN SMALL LETTER I WITH DIAERESIS
  ?\u011F	; 0xF0	LATIN SMALL LETTER G WITH BREVE
  ?\u00F1	; 0xF1	LATIN SMALL LETTER N WITH TILDE
  ?\u00F2	; 0xF2	LATIN SMALL LETTER O WITH GRAVE
  ?\u00F3	; 0xF3	LATIN SMALL LETTER O WITH ACUTE
  ?\u00F4	; 0xF4	LATIN SMALL LETTER O WITH CIRCUMFLEX
  ?\u00F5	; 0xF5	LATIN SMALL LETTER O WITH TILDE
  ?\u00F6	; 0xF6	LATIN SMALL LETTER O WITH DIAERESIS
  ?\u00F7	; 0xF7	DIVISION SIGN
  ?\u00F8	; 0xF8	LATIN SMALL LETTER O WITH STROKE
  ?\u00F9	; 0xF9	LATIN SMALL LETTER U WITH GRAVE
  ?\u00FA	; 0xFA	LATIN SMALL LETTER U WITH ACUTE
  ?\u00FB	; 0xFB	LATIN SMALL LETTER U WITH CIRCUMFLEX
  ?\u00FC	; 0xFC	LATIN SMALL LETTER U WITH DIAERESIS
  ?\u0131	; 0xFD	LATIN SMALL LETTER DOTLESS I
  ?\u015F	; 0xFE	LATIN SMALL LETTER S WITH CEDILLA
  ?\u00FF	; 0xFF	LATIN SMALL LETTER Y WITH DIAERESIS
  ])

;;; ccs-iso8859-9.el ends here
